package info.textgrid.middleware;

/**
 * <p>
 * Class to build the Element for a ListIdentifiers request.
 * </p>
 * 
 * @author Maximilian Brodhun, SUB Göttingen
 * @author Stefan E. Funk, SUB Göttingen
 * @version 2021-07-06
 * @since 2014-02-20
 */

public class IdentifierListDelivererDC extends IdentifierListDelivererAbstract {

  /**
   * <p>
   * In OAIPMH a ListIdentifiers request is answered by responding the datestamp and the identifier
   * of an object Both will be responded in a header element. This function build the header
   * element.
   * </p>
   * 
   * @param datestamp taken from the elasticSearch index (created element)
   * @param identifier taken from the elasticSearch index (textgridUri)
   * @return the ListIdentifierElement with the responded header element
   */
  public IdentifierListDelivererDC(boolean textgrid, boolean dariah) {
    super(textgrid, dariah);
  }

}
